• السلام عليكم ورحمة الله وبركاته، نرجوا كتابة طلبك او سؤالك باللغة العربية مع ارفاق صورة عن الخطأ او توضيح كافي للمشكلة.

[ مُجاب ] php-curl and update error in kali linux

shalby

./عضو جديد
Mar
4
4
  • التقييمات: 0
  • #1
السلام عليكم ورحمة الله وبركاته

أولًا جزاكم الله خيرًا كثيرًا لجهدكم.

أنا في الدرس الرابع في information gathering وحاوت كثيرًا تنزيل php-curl
بس مش عارف ليش بعطيني Unable to Locate Package وحاولت أشياء كثير وبرضه بدون حل مثل ما هو واضح في الصور المرفقة.
اتمنى المساعدة

Screenshot from 2024-04-01 12-18-45.png


Screenshot from 2024-04-01 12-20-00.png


Screenshot from 2024-04-01 12-24-52.png
 
التعديل الأخير بواسطة المشرف:
الحل
السلام عليكم يا شباب انا عرفت الحل
حل ال error في update اني لازم امسح كل Repository ال unstrusted and not singend

sudo apt-add-repository -r <repository_URL
او تكتب
nano/etc/apt/sources.list
وتمسح كله.
وحل Unable to locate package php-curl
انك تنزله من surly trusted repository زي اللينك الي تحت ده

السلام عليكم
اولا جزاكم الله خيرا كثيرا لجهدكم
انا في الدرس الرابع في information gathering وحاوت انزل كتير php-curl بس مش عارف بيديني Unable to Locate Package وحاولت اشياء كثير وبرده بدون حل زي ما واضح في الصور المرفقة ؟\
ارجو المساعده
وعليكم السلام

اول اشي اعمل
كود:
sudo apt update

بعدها شوف شو الاصدار اللي عندك من php عن طريق الامر

كود:
php -v

وحسب الاصدار اللي عندك نزل الـ php-curl

مثلا
لو كان اصدار الـ php 7.4 بتكتب الامر هيك
كود:
sudo apt install php7.4-curl

لو كان اصدار الـ php 8.0 بتكتب الامر هيك
كود:
sudo apt install php8.0-curl



لو ما زبط ضيف المستودع Ondřej's PPA 8 عن طريق الامر التالي

كود:
sudo add-apt-repository ppa:ondrej/php

وبعدها اكتب
كود:
sudo apt update



ماذا يفعل مستودع Ondřej's PPA ؟​

بشكل عام:
  • بوفر مستودع Ondřej's PPA إصدارات أحدث من php وأدواته مقارنةً بما هو متاح في مستودعات Ubuntu الافتراضية
  • يتضمن إصدارات php مستقرة وقيد التطوير، بالإضافة إلى حزم إضافية مثل php-curl
 
وعليكم السلام

اول اشي اعمل
كود:
sudo apt update

بعدها شوف شو الاصدار اللي عندك من php عن طريق الامر

كود:
php -v

وحسب الاصدار اللي عندك نزل الـ php-curl

مثلا
لو كان اصدار الـ php 7.4 بتكتب الامر هيك
كود:
sudo apt install php7.4-curl

لو كان اصدار الـ php 8.0 بتكتب الامر هيك
كود:
sudo apt install php8.0-curl



لو ما زبط ضيف المستودع Ondřej's PPA 8 عن طريق الامر التالي

كود:
sudo add-apt-repository ppa:ondrej/php

وبعدها اكتب
كود:
sudo apt update



ماذا يفعل مستودع Ondřej's PPA ؟​

بشكل عام:
  • بوفر مستودع Ondřej's PPA إصدارات أحدث من php وأدواته مقارنةً بما هو متاح في مستودعات Ubuntu الافتراضية
  • يتضمن إصدارات php مستقرة وقيد التطوير، بالإضافة إلى حزم إضافية مثل php-curl
 
السلام عليكم يا شباب انا عرفت الحل
حل ال error في update اني لازم امسح كل Repository ال unstrusted and not singend

sudo apt-add-repository -r <repository_URL
او تكتب
nano/etc/apt/sources.list
وتمسح كله.
وحل Unable to locate package php-curl
انك تنزله من surly trusted repository زي اللينك الي تحت ده

 
الحل
عودة
أعلى